aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authordnovillo <dnovillo@138bc75d-0d04-0410-961f-82ee72b054a4>2003-04-09 19:29:57 +0000
committerdnovillo <dnovillo@138bc75d-0d04-0410-961f-82ee72b054a4>2003-04-09 19:29:57 +0000
commit25ffd9a9fccd6d9cced804647029c43a07adf62d (patch)
treee9a619ee14c1364e56f9f37ea65f70cb157d4827 /contrib
parentc1aa10e4910892be16f3c9cb1f35f63965677f50 (diff)
Mainline merge as of 2003-04-06. Additional fixes for bugs
exposed by the merge: gcc/ChangeLog.tree-ssa: * gimplify.c (simplify_expr): Handle VECTOR_CST nodes. * tree-cfg.c (make_blocks): Ignore empty statement containers. Create a basic block before processing containers that only have empty statements. (make_loop_expr_blocks): Use the container instead of the statement when setting NEXT_BLOCK_LINK. (make_cond_expr_blocks): Likewise. (make_switch_expr_blocks): Likewise. (make_bind_expr_blocks): Likewise. (successor_block): If the last statement of the block is the empty statement, use its container to get NEXT_BLOCK_LINK. (stmt_starts_bb_p): Return false if the statement is NULL. * tree-pretty-print.c (dump_generic_node): Handle VECTOR_CST nodes. * tree-simple.c (is_simple_const): Accept VECTOR_CST as constants. * objc/objc-lang.c (LANG_HOOKS_TREE_INLINING_TREE_CHAIN_MATTERS_P): Define. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/branches/tree-ssa-20020619-branch@65404 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'contrib')
-rw-r--r--contrib/ChangeLog13
-rwxr-xr-xcontrib/compare_tests39
-rwxr-xr-xcontrib/gcc_build4
-rwxr-xr-xcontrib/gcc_update4
-rwxr-xr-xcontrib/test_summary21
5 files changed, 55 insertions, 26 deletions
diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index 229ec5e47da..257357097d6 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,16 @@
+2003-04-04 Mike Stump <mrs@apple.com>
+
+ * compare_tests: Fix exit status and be more flexible with spacing.
+
+2003-03-08 Phil Edwards <pme@gcc.gnu.org>
+
+ * test_summary: Add -h, print existing comments as help.
+
+2003-03-03 H.J. Lu <hjl@gnu.org>
+
+ * gcc_build: Use $GCC_CVS/$CVS instead of cvs.
+ * gcc_update: Likewise.
+
2003-01-19 Alexandre Oliva <aoliva@redhat.com>
* test_summary (configflags): Only use the first match. Remove
diff --git a/contrib/compare_tests b/contrib/compare_tests
index 7a1d76cb827..a7fc6711efb 100755
--- a/contrib/compare_tests
+++ b/contrib/compare_tests
@@ -2,14 +2,16 @@
# This script automatically test the given tool with the tool's test cases,
# reporting anything of interest.
-# exits with 1 if there is nothing of interest
-# exits with 0 if there is something interesting
+# exits with 0 if there is nothing of interest
+# exits with 1 if there is something interesting
# exits with 2 if an error occurred
# Give two .sum files to compare them
# Written by Mike Stump <mrs@cygnus.com>
+tool=gxx
+
tmp1=/tmp/$tool-testing.$$a
tmp2=/tmp/$tool-testing.$$b
now_s=/tmp/$tool-testing.$$d
@@ -26,13 +28,14 @@ sed 's/^XFAIL/FAIL/; s/^XPASS/PASS/' < "$2" >$tmp2
before=$tmp1
now=$tmp2
+exit_status=0
trap "rm -f $tmp1 $tmp2 $now_s $before_s" 0 1 2 3 5 9 13 15
-sort +0.4 "$now" > "$now_s"
-sort +0.4 "$before" > "$before_s"
+sort -t ':' +1 "$now" > "$now_s"
+sort -t ':' +1 "$before" > "$before_s"
-grep '^FAIL' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^PASS' "$before_s" | sed 's/^....: //' | comm -12 $tmp1 - >$tmp2
+grep '^FAIL:' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -40,10 +43,11 @@ if [ $? = 0 ]; then
echo
cat $tmp2
echo
+ exit_status=1
fi
-grep '^PASS' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^FAIL' "$before_s" | sed 's/^....: //' | comm -12 $tmp1 - >$tmp2
+grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -53,8 +57,8 @@ if [ $? = 0 ]; then
echo
fi
-grep '^FAIL' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^....: //' | comm -23 $tmp1 - >$tmp2
+grep '^FAIL' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -62,10 +66,11 @@ if [ $? = 0 ]; then
echo
cat $tmp2
echo
+ exit_status=1
fi
-grep '^PASS' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^....: //' | comm -23 $tmp1 - >$tmp2
+grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -75,8 +80,8 @@ if [ $? = 0 ]; then
echo
fi
-grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^PASS' "$before_s" | sed 's/^....: //' | comm -13 $tmp1 - >$tmp2
+grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -86,8 +91,8 @@ if [ $? = 0 ]; then
echo
fi
-grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^FAIL' "$before_s" | sed 's/^....: //' | comm -13 $tmp1 - >$tmp2
+grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -96,3 +101,5 @@ if [ $? = 0 ]; then
cat $tmp2
echo
fi
+
+exit $exit_status
diff --git a/contrib/gcc_build b/contrib/gcc_build
index 4d0eea30b6b..fa0afc8f7bc 100755
--- a/contrib/gcc_build
+++ b/contrib/gcc_build
@@ -110,7 +110,7 @@ checkout_gcc() {
changedir ${DESTINATION_PARENT}
# Checkout the tree
- cvs -z 9 co -d `basename ${DESTINATION}` gcc || \
+ $GCC_CVS -z 9 co -d `basename ${DESTINATION}` gcc || \
error "Could not check out GCC"
}
@@ -209,6 +209,8 @@ install_gcc() {
# Initialization
########################################################################
+# CVS command
+GCC_CVS=${GCC_CVS-${CVS-cvs}}
# The CVS server containing the GCC repository.
CVS_SERVER="gcc.gnu.org"
# The path to the repository on that server.
diff --git a/contrib/gcc_update b/contrib/gcc_update
index cf1cac1b247..a11660e831e 100755
--- a/contrib/gcc_update
+++ b/contrib/gcc_update
@@ -37,6 +37,8 @@
# its license can be downloaded from http://www.gnu.org/copyleft/gpl.html
+# CVS command
+GCC_CVS=${GCC_CVS-${CVS-cvs}}
# Default options used when updating via CVS.
UPDATE_OPTIONS=-Pd
# Use -P to prune empty directories.
@@ -221,7 +223,7 @@ else
fi
echo "Updating CVS tree"
-cvs -q update ${1+"$@"}
+$GCC_CVS -q update ${1+"$@"}
if [ $? -ne 0 ]; then
(touch_files_reexec)
echo "CVS update of full tree failed." >&2
diff --git a/contrib/test_summary b/contrib/test_summary
index 356d7b320ac..01fba6fd5d2 100755
--- a/contrib/test_summary
+++ b/contrib/test_summary
@@ -28,14 +28,19 @@
# test_summary | sh # so as to actually send e-mail and move log files
# It accepts a few command line arguments. For example:
-# -o: re-reads logs that have been mailed already (.sum.sent)
-# -t: prevents logs from being renamed
-# -p: prepend specified file (or list of files: -p "a b") to the report
-# -i: append specified file (or list of files: -i "a b") to the report
-# -m: specify the e-mail address to send notes to. An appropriate default
-# should be selected from the log files.
-# -f: force reports to be mailed; if omitted, only reports that differ
-# from the sent.* version are sent.
+if test x"$1" = "x-h"; then
+ cat <<_EOF
+ -o: re-reads logs that have been mailed already (.sum.sent)
+ -t: prevents logs from being renamed
+ -p: prepend specified file (or list of files: -p "a b") to the report
+ -i: append specified file (or list of files: -i "a b") to the report
+ -m: specify the e-mail address to send notes to. An appropriate default
+ should be selected from the log files.
+ -f: force reports to be mailed; if omitted, only reports that differ
+ from the sent.* version are sent.
+_EOF
+ exit 0
+fi
# Find a good awk.
if test -z "$AWK" ; then